## potion 0.0.3

=== debian/changelog ===
potion (0.0.3) unstable; urgency=low

  * Depend on latest libabz0-dev package (Closes: #262963)
  * Compile with -O0 instead of -Os on sparc64 (Closes: #262784)
  * Use syslog for logging

 -- Abraham vd Merwe <abz@debian.org>  Sun, 22 Aug 2004 15:16:45 +0200

potion (0.0.2) unstable; urgency=low

  * Display top flows sorted by average bitrate, not size.

 -- Abraham vd Merwe <abz@debian.org>  Mon, 19 Jul 2004 11:55:36 +0200

potion (0.0.1) unstable; urgency=low

  * Initial release.

 -- Abraham vd Merwe <abz@debian.org>  Tue,  6 Jul 2004 19:56:52 +0200

Local variables:
mode: debian-changelog
End:

## potion 0.0.4

=== Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = .

# subdirectories (leave as is if there is no subdirectories)
DIR = debian src man

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

.PHONY:: debian

debian:
	dpkg-buildpackage -rfakeroot -k2B555AEE

distclean::
	rm -f {configure,build}-stamp
	rm -f debian/*.{debhelper,substvars} debian/{substvars,files,*~}
	rm -rf debian/tmp
	find . -name "*~" -exec rm -f {} \;
	find . -name ".index" -exec rm -f {} \;

=== debian/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

dist:: rules
	chmod +x rules

clean::
	rm -f *~
	rm -rf potion

=== man/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(mandir)/man1
	$(INSTALL) -c -m 0644 potion.1 $(mandir)/man1

uninstall::
	rm -f $(mandir)/man1/potion.1

=== src/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

LDLIBS = -labz -ldebug -levent -lpcap -lncurses

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = link-sll.o link-ether.o link.o	\
	list.o io.o config.o flow.o gui.o	\
	capture.o signal.o main.o

# program name (leave as is if there is no program)
PRG = potion

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(bindir)
	$(INSTALL) -c -m 0755 $(PRG) $(bindir)

uninstall::
	rm -f $(bindir)/$(PRG)

=== debian/changelog ===
potion (0.0.4) unstable; urgency=low

  * Added syslog explanation and paragraph about network interface
    privileges to man page (Closes: #275604)
  * Linked against latest libevent library (Closes: #293403)

 -- Abraham vd Merwe <abz@debian.org>  Wed,  9 Feb 2005 18:26:27 +0200

=== debian/control ===
Source: potion
Section: net
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>> 3.0.0), libdebug0-dev (>= 0.4.1), libabz0-dev (>= 0.4.6), libevent-dev, libpcap0.8-dev, libncurses5-dev
Standards-Version: 3.6.1

Package: potion
Architecture: any
Section: net
Depends: ${shlibs:Depends}
Description: IP Flow Monitor
 This is a console utility which will listen on an interface using libpcap,
 aggregate the traffic into flows and display the top (as many as can fit
 on your screen) flows with their average throughput. A flow is identified
 ip protocol, source ip, source port, destination ip, destination port, and
 type of service flag.

=== debian/rules ===
#!/usr/bin/make -f

# -*- sh -*-

export DH_VERBOSE=1
export DH_COMPAT=3

DESTDIR=$(CURDIR)/debian/tmp

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	find . \( -name "*~" -o -name ".#*" \) -exec rm {} \;
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean
	rm -f $(CURDIR)/debian/{build,configure}-stamp
	rm -rf $(CURDIR)/debian/{potion,tmp}

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(DESTDIR) prefix=$(DESTDIR)/usr install

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_movefiles -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_installchangelogs -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch
.PHONY: build clean binary-arch binary install configure

## potion 0.0.4+nmu1

=== debian/changelog ===
potion (0.0.4+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    + Fix bashism (Closes: #477615). Thanks go
      to Leonardo Rodrigues de Mello.

 -- Marco Rodrigues <gothicx@sapo.pt>  Thu, 10 Jul 2008 20:39:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,10 @@
 	rm -f build-stamp configure-stamp
 	-$(MAKE) clean
 	dh_clean
-	rm -f $(CURDIR)/debian/{build,configure}-stamp
-	rm -rf $(CURDIR)/debian/{potion,tmp}
+	rm -f $(CURDIR)/debian/build-stamp
+	rm -f $(CURDIR)/debian/configure-stamp
+	rm -rf $(CURDIR)/debian/potion
+	rm -rf $(CURDIR)/debian/tmp
 
 install: build
 	dh_testdir
